VERSION 5.00
Object = "{6B7E6392-850A-101B-AFC0-4210102A8DA7}#1.3#0"; "comctl32.ocx"
Begin VB.Form frmAddin 
   Caption         =   "Recent Projects List"
   ClientHeight    =   3885
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   9720
   LinkTopic       =   "Form1"
   ScaleHeight     =   3885
   ScaleWidth      =   9720
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdRemAll 
      Caption         =   "Remove All"
      Height          =   375
      Left            =   6600
      TabIndex        =   2
      Top             =   3360
      Width           =   1455
   End
   Begin ComctlLib.ListView lstItems 
      Height          =   3135
      Left            =   120
      TabIndex        =   1
      Top             =   120
      Width           =   9495
      _ExtentX        =   16748
      _ExtentY        =   5530
      LabelWrap       =   -1  'True
      HideSelection   =   -1  'True
      HideColumnHeaders=   -1  'True
      _Version        =   327682
      ForeColor       =   -2147483640
      BackColor       =   -2147483643
      BorderStyle     =   1
      Appearance      =   1
      NumItems        =   0
   End
   Begin VB.CommandButton cmdClose 
      Caption         =   "Close"
      Height          =   375
      Left            =   8160
      TabIndex        =   0
      Top             =   3360
      Width           =   1455
   End
End
Attribute VB_Name = "frmAddin"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Private Const projectColumnSize As Integer = 1500



Private Sub cmdClose_Click()
 Unload Me
End Sub
Private Sub getRecentProjectData()

Dim regHandle As Long
RegOpenKeyEx HKEY_CURRENT_USER, "Software\Microsoft\Visual Basic\6.0\RecentFiles", 0, KEY_ALL_ACCESS, regHandle

If regHandle > 0 Then 'the key exists
    Dim i As Integer, Ret As String, listString As String
    
    
    Do
        i = i + 1
        
        Ret = RegQueryStringValue(regHandle, CStr(i))
        If Ret <> vbNullString Then
            listString = Mid$(Ret, InStrRev(Ret, "\") + 1, Len(Ret))
            lstItems.ListItems.Add(, , listString).SubItems(1) = Ret
        End If
        
    Loop While Ret <> vbNullString
    
    
    
End If

RegCloseKey regHandle

End Sub

Private Sub cmdRemove_Click()
    Dim regHandle As Long
    RegOpenKeyEx HKEY_CURRENT_USER, "Software\Microsoft\Visual Basic\6.0\RecentFiles", 0, KEY_ALL_ACCESS, regHandle

    If regHandle > 0 Then
    
        RegDeleteValue regHandle, lstItems.SelectedItem.Index
        lstItems.ListItems.Remove lstItems.SelectedItem.Index
    End If
    
    RegCloseKey regHandle
End Sub

Private Sub cmdRemAll_Click()
    
    Dim regHandle As Long
    RegOpenKeyEx HKEY_CURRENT_USER, "Software\Microsoft\Visual Basic\6.0\RecentFiles", 0, KEY_ALL_ACCESS, regHandle
    
    If regHandle > 0 Then
        Dim i As Integer
    
        For i = 0 To lstItems.ListItems.Count
        
            RegDeleteValue regHandle, CStr(i)
    
        Next i
    End If
    
    RegCloseKey regHandle
    lstItems.ListItems.Clear
    
End Sub

Private Sub Form_Load()
    
    
    With lstItems
        .MultiSelect = True
        .View = lvwReport
        .HideColumnHeaders = False
        .ColumnHeaders.Add , , "Project", projectColumnSize
        .ColumnHeaders.Add , , "Path", .Width
    End With
    
    getRecentProjectData
End Sub
